Re: GPS setup inconsistent #gpsd #ft-817


Basil Gunn
 

John,

Yesterday morning unattended upgrades updated the pi to version
1:1.20210727-1. From both the debian changelog and the name of the
directory it appears to contain linux 5.10.52.

kernver.sh:
Released kernel version: 5.10.17
Running kernel version: 5.10.11
Thanks for that information.

I turned off my kernel hold and did an apt-get update/apt-get upgrade
and successfully installed kernel 5.10.52 which DOES HAVE Anna's kernel
patches. That kernel works fine with the DRAWS hat.

The kernel in the released version of Raspberry Pi OS image is still down rev (5.10.17)
and will NOT work. The kernel in http://archive.raspberrypi.org/debian/ buster main
repo is now 5.10.52 and will work just fine with DRAWS. Any kernel
version newer than 5.10.31 should be fine.

My previous point was that it is OK to use apt-get upgrade or apt upgrade
but I would stay away from rpi-update which I only use to down grade a
kernel version.

Thanks for pointing out the new kernel in the raspberry pi debian repo.
I will spin up a new NWDR image with this kernel in the next few weeks.

To test your tlv320aic driver after updating to a new kernel run:

aplay -l

and verify that udrc "bcm2835-i2s-tlv320aic32x4-hifi tlv320aic32x4-hifi-0" is
enumerated in the displayed list.

/Basil

Join udrc@nw-digital-radio.groups.io to automatically receive all group messages.